
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ARP欺骗攻击详解 / iVAN</title>

    <meta name="description" content="ARP欺骗攻击详解 信息化办公的时代,如果网络突然断网您会不会显得无奈呢?ARP病毒的盛行,已经使得我们必须面对这种突如其来的威胁.那么ARP病毒到底是如何攻击又如何防治呢? 什么是ARP? 所谓ARP即地址解析协议(Address Resolution Protocol),是在仅知道主机的IP地址时确定其物理地址的一种协议.因IPv4和以太网的广泛应用,其主要用作将IP地址翻译为以太网的MAC地址,但其也能在ATM和FDDIIP网络中使用.从IP地址到物理地址的映射有两种方式:表格方式和非表格方式.ARP具体说来">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ARP欺骗攻击详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>信息化办公的时代，如果网络突然断网您会不会显得无奈呢？ARP病毒的盛行，已经使得我们必须面对这种突如其来的威胁。那么ARP病毒到底是如何攻击又如何防治呢？</p>
<p>什么是ARP？</p>
<p>所谓ARP即地址解析协议（Address Resolution Protocol），是在仅知道主机的IP地址时确定其物理地址的一种协议。因IPv4和以太网的广泛应用，其主要用作将IP地址翻译为以太网的MAC地址，但其也能在ATM和FDDIIP网络中使用。从IP地址到物理地址的映射有两种方式：表格方式和非表格方式。ARP具体说来就是将网络层（IP层，也就是相当于OSI的第三层）地址解析为数据连接层（MAC层，也就是相当于OSI的第二层）的MAC地址。</p>
<p>例如:</p>
<p>计算机A的IP为192.168.1.1,MAC地址为00-11-22-33-44-01；</p>
<p>计算机B的IP为192.168.1.2,MAC地址为00-11-22-33-44-02;</p>
<p>ARP工作原理：</p>
<p>在TCP/IP协议中,A给B发送IP包,在包头中需要填写B的IP为目标地址,但这个IP包在以太网上传输的时候,还需要进行一次以太包的封装,在这个以太包中,目标地址就是B的MAC地址. 计算机A是如何得知B的MAC地址的呢？解决问题的关键就在于ARP协议。</p>
<p>在A不知道B的MAC地址的情况下,A就广播一个ARP请求包,请求包中填有B的IP(192.168.1.2),以太网中的所有计算机都会接收这个请求,而正常的情况下只有B会给出ARP应答包,包中就填充上了B的MAC地址,并回复给A。</p>
<p>A得到ARP应答后,将B的MAC地址放入本机缓存,便于下次使用。本机MAC缓存是有生存期的,生存期结束后,将再次重复寻址过程。</p>
<p>ARP协议并不只在发送了ARP请求才接收ARP应答。当计算机接收到ARP应答数据包的时候，就会对本地的ARP缓存进行更新，将应答中的IP和MAC地址存储在ARP缓存中。因此，当局域网中的某台机器B向A发送一个自己伪造的ARP应答，而如果这个应答是B冒充C伪造来的，即IP地址为C的IP，而MAC地址是伪造的，则当A接收到B伪造的ARP应答后，就会更新本地的ARP缓存，这样在A看来C的IP地址没有变，而它的MAC地址已经不是原来那个了。由于局域网的网络流通不是根据IP地址进行，而是按照MAC地址进行传输。所以，那个伪造出来的MAC地址在A上被改变成一个不存在的MAC地址，这样就会造成网络不通，导致A不能Ping通C！这就是一个简单的ARP欺骗。</p>
<p>类似网络执法官等网络管理软件，其控制目标机器上网限制亦是采用了ARP原理，向其发送一个假的网关IP地址对应的MAC，使其找不到网关真正的MAC地址，这样即可禁止其上网。</p>
<p>ARP的防范：</p>
<p>ARP欺骗可以导致目标计算机与网关通信失败，更可怕的是会导致通信重定向，所有的数据都会通过攻击者的机器，因此存在极大的安全隐患。 基与PC到PC的IP-MAC双向绑定可以解决ARP欺骗，但是对于不支持IP-MAC双向绑定的设备，就需要用可以绑定端口-MAC的交换来预防ARP欺骗。另外，Windows 2KSP4 XPSP1 的Arp-S绑定是无效的，需要升级到 2KSP5 或 XPSP2。ARP防火墙等工具就是运用IP-MAC绑定技术，对数据包进行截取分析，保证网络通信正常。</p>
<p>然而病毒的变种是日新月异的，ARP也是如此，类似ARP欺骗的解决思路主要如下：</p>
<p>不要把网络安全信任关系建立在IP基础上或MAC基础上。</p>
<p>设置静态的MAC--&gt;IP对应表，不要让主机刷新你设定好的转换表。</p>
<p>除非必要，否则停止ARP使用，把ARP做为永久条目保存在对应表中。</p>
<p>使用ARP服务器。确保这台ARP服务器不被黑。</p>
<p>使用"proxy"代理IP传输。</p>
<p>使用硬件屏蔽主机。</p>
<p>定期用响应的IP包中获得一个rarp请求，检查ARP响应的真实性。</p>
<p>定期轮询，检查主机上的ARP缓存。</p>
<p>使用防火墙连续监控网络。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 06:07:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%ae%a1%e7%ae%97%e6%9c%ba/" title="计算机">计算机</a>, <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80/" title="地址">地址</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.iamivan.net/tag/%e7%bc%93%e5%ad%98/" title="缓存">缓存</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c%e6%95%b0%e6%8d%ae%e5%8c%85%e7%9a%84%e8%a7%a3%e6%9e%90/" title="网络数据包的解析">网络数据包的解析</a>, <a href="https://www.iamivan.net/tag/arp/" title="arp">arp</a>, <a href="https://www.iamivan.net/tag/mac/" title="mac">mac</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8c%e5%90%91%e7%bb%91%e5%ae%9a%e5%8e%9f%e7%90%86/" title="双向绑定原理">双向绑定原理</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8c%e5%90%91%e7%bb%91%e5%ae%9a%e8%af%a6%e8%a7%a3/" title="双向绑定详解">双向绑定详解</a>, <a href="https://www.iamivan.net/tag/%e6%ac%ba%e9%aa%97%e4%bc%aa%e9%80%a0%e7%bd%91%e5%85%b3/" title="欺骗伪造网关">欺骗伪造网关</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ARP欺骗攻击详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwKkZM.html" rel="bookmark">完美解决ARP欺骗攻击组合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 解决ARP欺骗攻击的完美组合(风云防火墙注册版+P2P破解版) 两软件组合,一防一攻,完美解决ARP欺骗攻击.首先下载这两个软件: 风云防火墙注册版 下载地址:http://www.arpun.com/soft/sort014/sort016/down-43.html P2P破解版 下载地址:http://www.arpun.com/soft			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0nexp.html" rel="bookmark">服务器的ARP欺骗攻击的防范的两种解决方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				服务器的ARP欺骗攻击的防范          这些天我的服务器几乎天天都被人ARP欺骗攻击,网页被挂木马,实在烦死了,深圳的龙岗电信机房实在是够恶心的,不得已,我只好寻找一些防范ARP攻击的方法,目前发现可以使用静态地址法和使用专用软件的方法来防范ARP欺骗攻击. 静态地址法指的是,在本地服务器上,将路由器的MAC地址设置为静态的方式来阻止别人对我的ARP攻击,如果你也越到了类似的ARP欺骗攻击,也可以参考这个方法进行设置. 首先,找到路由器真实的MAC地址,在没有被攻击的条件下,输入命令ar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8L00b.html" rel="bookmark">局域网遭遇ARP欺骗攻击的解决方法&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				该病毒发作时症状表现为:  1)计算机网络连接正常,但无法上网或者时通时断,经常掉线: 2)用户私密信息(如QQ.网游等帐号)被窃取: 3)局域网内出现网络拥塞,甚至造成一些网络设备当机: 基本概念:  为了能够说明问题,有必要先来介绍一些基本概念,知者略过. 首先来说IP地址,大家应该都很熟悉了,我们知道,IP地址是一段32位(二进制)的无符号整数,例如:192.168.110.1,其最基本的作用就是在(IP)网络中唯一标识一台特定的主机.在Internet上,我们正是凭借IP地址来定位其他主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQvnwM.html" rel="bookmark">对付ARP欺骗攻击16a&period;us病毒的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近单位局域网电脑上网,大多数网站页面显示都会异常,卡巴在访问网站的时候会提示&quot;&quot;木马程序Trojan-Downloader.JS.Agent.gd 文件hxxp://16a.us/*.js&quot;,查看HTML源码,会在所有网页顶部多出一行 ,最开始还以为是我们单位网站服务器被挂了木马,后来发现访问其他网站也是同样问题,包括建行.IT168等大型网站,所以就把问题锁定在我们局域网内部,开始上网找解决办法,试验过各种办法都没有效果,包括: 1.修改Hosts文件 2.下载360安全			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKRZLz.html" rel="bookmark">站长注意：最近流行ARP欺骗攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近网络上很流行一种攻击方式,在你的所有网页里嵌入病毒或广告代码,有时是不定时出现,但是无论你怎么在自己服务器上面怎么查,都找不出原因.甚至重做系统都没有效果.chinaz也曾中过此类病毒,后来终于找到解决办法,因为这个攻击方式还有很多人都被蒙在鼓里,所以在此公布出来给大家分享,请各位站长及网管多注意! 首先,判断是否受到arp欺骗式攻击.在你系统的命令行下输入:arp -a 会输出如以下的信息:  Internet Address      Physical Address      Type			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK40x5M.html" rel="bookmark">Vista下应对网络执法官及ARP欺骗攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多学校.公司的内部网络 里面经常有一些不道德的人用ARP欺骗软件攻击别人,让很 多人掉线,甚至让整个网络都瘫痪.针对这个问题,大家可以采取如下的办法. 介绍一个防火墙:Outpost Firewall.它可以防护&quot;P2P终结者&quot;等局域网软件,效果超好,还能查出局域网哪台机在使用,http://www.aliyun.com/zixun/aggregation/17547.html&quot;&gt;功能强大,占用资源少,可以评分5个星. 其实,类似网络管理这种软件都是利用arp欺骗达到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOBv5M.html" rel="bookmark">网络遭遇ARP欺骗攻击的症状</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一上班,就有报告说Email没办法用的,过去一看,是台通过Wi-Fi上网的笔记本,现象是打开Web登录界面速度奇慢无比,因为手头还有别的事情,所以直接打开OE添加了个帐号,说先这样用吧,我那边去找找原因. 接下来就开始有三三两两的说网络不正常的,包括Web浏览.股票行情.视频直播,都出现问题,这下麻烦大了.在自己机器上开ping,外部网站.DNS,都不正常,从30ms到丢包,不规律重复出现. 查看已经打开的页面源文件,第一行有一个iframe,访问一个直接数字ip开头的vip.htm页面,但是那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1l8Kxb.html" rel="bookmark">xss 和 csrf攻击详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在那个年代,大家一般用拼接字符串的方式来构造动态 SQL 语句创建应用,于是 SQL 注入成了很流行的攻击方式.在这个年代, 参数化查询 已经成了普遍用法,我们已经离 SQL 注入很远了.但是,历史同样悠久的 XSS 和 CSRF 却没有远离我们.由于之前已经对 XSS 很熟悉了,所以我对用户输入的数据一直非常小心.如果输入的时候没有经过 Tidy 之类的过滤,我一定会在模板输出时候全部转义.所以个人感觉,要避免 XSS 也是很容易的,重点是要&quot;小心&quot;.但最近又听说了另一种跨站攻击 C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYnwJb.html" rel="bookmark">python发送arp欺骗攻击代码分析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: # -*- coding: cp936 -*-from scapy.all import *from threading import Thread,Lock,activeCount BROADCASTMAC = getmacbyip('192.168.0.120') class Loop(Thread):    def __init__(self,ip):        Thread.__init__(self)        self.ip = ip     def r			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8DjPp.html" rel="bookmark" class="title">浅谈如何开拓社区网站的新发展</a>
					<div>
						谈到社区,但凡上过互联网的人都很清楚,哪怕一些不用电脑的传统妇女,都能迸出几个&quot;斑竹&quot;之类的词.应该说,社区网站是大部分中国人对互联网了解的开端,是互联网产品中的&quot;元老& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKwVyp.html" rel="bookmark" class="title">SOA、ESB、NServiceBus和云计算</a>
					<div>
						SOA SOA 是通过功能组件化.服务化,来实现系统集成.解决信息孤岛,这是其主要目标.而更进一步则是实现更快响应业务的变化.更快推出新的应用系统.与此同时,SOA 还实现了整合资源,资源复用. SO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOODab.html" rel="bookmark" class="title">项目中通过js动态创建层的方法为表单添加错误提示</a>
					<div>
						本文介绍利用动态创建层技术实现无冗余代码为表单自动添加错误提示的方法. 项目中表单输入检测是基本必定会碰到的,本文提供一种方法通过js动态创建层的方法为表单添加错误提示.该代码在IE6和firefox ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7DZqb.html" rel="bookmark" class="title">闪游浏览器怎么更换皮肤</a>
					<div>
						  闪游浏览器如何更换皮肤           浏览器用久了想改变一下视觉效果,那就是更换皮肤了,今天教大家怎么样更换闪游浏览器皮肤. 1.打开浏览器,看到右上角小衣服的图标 2.这里是默认皮肤,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balO5mz.html" rel="bookmark" class="title">网站的颜色会影响到消费者购买决定？</a>
					<div>
						答案是肯定的         美国科技博客Business Insider今日发表文章称,颜色对于消费者的购买决定起着十分重要的作用,93%的消费者在做购买决定时会考虑到颜色. 以下为文章内容摘要:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKjXmp.html" rel="bookmark" class="title">Python实现处理管道的方法</a>
					<div>
						  本文实例讲述了Python实现处理管道的方法.分享给大家供大家参考.具体分析如下: Linux下的可以施展的最炫的魔法是什么?相信不同的人说法不同,但是如果没有管道,那么恐怕在绚丽魔法的都会失去魔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2JGAb.html" rel="bookmark" class="title">世界之窗浏览器如何设置快捷键</a>
					<div>
						  使用快捷键可快速使用浏览器的绝大部分功能. 在 选项→高级→快捷键 里,可添加想要使用的快捷键. 以下是世界之窗默认提供的快捷键: 标签控制: 切换到上一个标签:F2.Alt+↑ 切换到下一个标签 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd671xb.html" rel="bookmark" class="title">QQ浏览器签到福利活动地址 连续签到领1个月黄钻</a>
					<div>
						  QQ浏览器特权中心活动,QQ用户使用浏览器每日签到即可获得10积分,连续签到5次即可获得50积分领取1个月黄钻,还有更多游戏礼包等你来领取,数量有限,先到先得哦! 活动时间: 每日10:00开抢  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGGEwp.html" rel="bookmark" class="title">win7蓝牙驱动安装失败怎么解决</a>
					<div>
						  遇到这样的问题,首先进入C:Windowsinf目录,找到bth.inf. 如果没有的话可以进入路径C:WindowsSystem32DriverStoreFileRepository继续寻找,例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3V71M.html" rel="bookmark" class="title">Win7系统设置定时自动关机实用方法</a>
					<div>
						在Win7系统中点击开始按钮,再依次选择打开&quot;所有程序&quot;-&gt;&quot;附件&quot;-&gt;&quot;系统工具&quot;,就能找到&quot;任务计划程序&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR4V9p.html" rel="bookmark" class="title">Windows8&period;1关闭GWX config manager让电脑顺畅</a>
					<div>
						  在Win8.1系统中GWX config manager程序占用30%多的CPU资源,由于占用的资源过多,很多时候会引起电脑卡顿,那么什么是,该如何关闭程序让电脑顺畅呢?下面小编就简单的跟大家分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLNLOb.html" rel="bookmark" class="title">能让你的电脑数据更安全的几个设置详细介绍</a>
					<div>
						一直以来电脑的安全是我们最关注的问题,有的人是为了数据的安全,而更多人是因为电脑中毒了而导致不得不重装系统.自己以前电脑上的数据之类的全多消失光光了.这个是让很多人最郁闷的事情了,而下面教你们几个方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaVx8z.html" rel="bookmark" class="title">新浪nba直播看不了怎么办？</a>
					<div>
						  新浪电视的收看需要您确保在安装新浪网提供的P2P播放器插件的情况下才能观看(该插件不会对您的计算机产生任何危害).在自动化的安装过程中,需要您解除浏览器对弹出窗口的阻止,并启用Active控件和插 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NJyJM.html" rel="bookmark" class="title">C 语言中 初始化为0和1 的差别</a>
					<div>
						仔细观察图 在test1.c中将数组的所有元素初始化为0 在test2.c中将数组的所有元素初始化为1 但是编译后二者的大小差距是不是太大了!值得注意啊! 要从内存的角度分析原因					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2eoeb.html" rel="bookmark" class="title">《ANSYS Workbench 16&period;0超级学习手册》&mdash;&mdash;1&period;2　ANSYS Workbench 16&period;0平台及模块</a>
					<div>
						1.2 ANSYS Workbench 16.0平台及模块 ANSYS Workbench 16.0软件平台的启动方法,如图1-1所示的方法操作:经常使用ANSYS Workbench 16.0,程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWYXOp.html" rel="bookmark" class="title">信号灯错误会导致连锁错误</a>
					<div>
						&quot;7·23&quot;动车事故初步分析原因公布后,有 网友质疑,高铁上的列车都是高速运行,不可能靠司机目视红绿灯来决定是否停车. 对此,昨晚,北京交通大学教授赵坚说,动车的行车安全主要靠自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7NKyp.html" rel="bookmark" class="title">report-使用Microsoft SQL Server 2008 Reporting Services制作报表</a>
					<div>
						问题描述 使用Microsoft SQL Server 2008 Reporting Services制作报表 使用Microsoft SQL Server 2008 Reporting Servic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeANdb.html" rel="bookmark" class="title">qt编写密码样式-Qt程序写点击按键输入密码进入子界面， 每次加电只需要输入一次</a>
					<div>
						问题描述 Qt程序写点击按键输入密码进入子界面, 每次加电只需要输入一次 Qt程序写点击按键输入密码进入子界面, 每次加电只需要输入一次,再进子界面就不需要了,重启之后还需要输入一次 例如:有A,B两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwVaBM.html" rel="bookmark" class="title">方法调用-对toString的一些问题</a>
					<div>
						问题描述 对toString的一些问题 每个输出语句输出的都是String型的吗,是不是每个输出语句都隐式的调用了toString方法,int i=1,输出i,也是String型吗,可能表述有点问题, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBx8oz.html" rel="bookmark" class="title">环信webim如何实现一个ID多页面在线</a>
					<div>
						问题描述 已知现有的问题是,当一个页面登录环信ID后,新建一个页面再登录时旧页面必然会触发onClose事件,此时也就不能再发送消息了 解决方案 conn.open的时候多传递参数,resource: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDno1lM.html" rel="bookmark" class="title">2&period;5万名传统企业的管理者参加国际电子商务博览会</a>
					<div>
						IEBE 2015 将于3月26 -28日在广州琶洲益武展馆举行 今年3月下旬,2.5万名传统企业的管理者参加了2014(广州)国际电子商务博览会(IEBE 2014),他们在这里寻找拥抱互联网的方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5BGWp.html" rel="bookmark" class="title">nova-volume和swift的区别</a>
					<div>
						问题描述 我想问了块存储和swift的区别,既然nova-volueme管理的nova-voluenmes存储实例,switft的作用呢. 解决方案 解决方案二:swift是对象存储,而nova-vo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R326z.html" rel="bookmark" class="title">win32贪吃蛇实现</a>
					<div>
						写程序是一个循序渐进的过程,一开始都是加加减减,修修补补,这和我们做企业做创新的原理都是一样的,没有一蹴而就的成功,最近看了周鸿祎的&lt;我的互联网方法论&gt;蛮有启发,分享给大家几句摘抄: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkklLp.html" rel="bookmark" class="title">PHP 面向对象 PHP5 中的常量&lowbar;php基础</a>
					<div>
						在PHP5中 const定义的常量与定义变量的方法不同,不需要加 $ 修饰符.const PI = 3.14; 这样就可以. 而使用const 定义的常量名称一般都大写,这是一个约定,在任何语言中都是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1ONQb.html" rel="bookmark" class="title">php判断数组中是否存在指定键&lpar;key&rpar;的方法&lowbar;php技巧</a>
					<div>
						本文实例讲述了php判断数组中是否存在指定键(key)的方法.分享给大家供大家参考.具体分析如下: php中有两个函数用来判断数组中是否包含指定的键,分别是array_key_exists和isset ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOxZ2b.html" rel="bookmark" class="title">Mysql Error Code &colon; 1436 Thread stack overrun&lowbar;Mysql</a>
					<div>
						ERRNO: 256 TEXT: SQLSTATE[HY000]: General error: 1436 Thread stack overrun: 4904 bytes used of a 131 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWvPGz.html" rel="bookmark" class="title">PHP中SESSION反序列化机制详解</a>
					<div>
						简介 在php.ini中存在三项配置项: session.save_path=&quot;&quot;   --设置session的存储路径 session.save_handler=&quot;&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRLN7z.html" rel="bookmark" class="title">如何从 Ubuntu 14&period;04 升级到 Ubuntu 14&period;10</a>
					<div>
						如何从 Ubuntu 14.04 升级到 Ubuntu 14.10 Ubuntu 14.10已于前段时间发布.想知道如何从 Ubuntu 14.04 升级到 Ubuntu 14.10 么?别担心,这很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmWVob.html" rel="bookmark" class="title">瑞星误拦谷歌致大面积误报 大批网站声誉受损</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨日,大量瑞星用户上网时,电脑突然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWDlqM.html" rel="bookmark" class="title">星空：个人或企业如何真正的做好论坛推广</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 说到论坛推广,相信做过网站的朋友都 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
